Package ru.bitel.bgbilling.kernel.contract.pattern.common.bean

# Class RowData

java.lang.Object
ru.bitel.bgbilling.kernel.contract.pattern.common.bean.RowData

public class RowData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RowData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getGroupId()`
  `int`
  `getId()`
  `String`
  `getPeriodModeFrom()`
  `String`
  `getPeriodModeTo()`
  `int`
  `getPeriodValueFrom()`
  `int`
  `getPeriodValueTo()`
  `String`
  `getPosition()`
  `String`
  `getTitle()`
  `Boolean`
  `getValue()`
  `RowData`
  `setGroupId(int groupId)`
  `RowData`
  `setId(int id)`
  `RowData`
  `setPeriodModeFrom(String periodModeFrom)`
  `RowData`
  `setPeriodModeTo(String periodModeTo)`
  `RowData`
  `setPeriodValueFrom(int periodValueFrom)`
  `RowData`
  `setPeriodValueTo(int periodValueTo)`
  `RowData`
  `setPosition(String position)`
  `RowData`
  `setTitle(String title)`
  `RowData`
  `setValue(Boolean check)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RowData

    public RowData()

- ## Method Details

  - ### getGroupId

    public int getGroupId()

  - ### getId

    public int getId()

  - ### getPeriodModeFrom

    public String getPeriodModeFrom()

  - ### getPeriodModeTo

    public String getPeriodModeTo()

  - ### getPeriodValueFrom

    public int getPeriodValueFrom()

  - ### getPeriodValueTo

    public int getPeriodValueTo()

  - ### getPosition

    public String getPosition()

  - ### getTitle

    public String getTitle()

  - ### getValue

    public Boolean getValue()

  - ### setGroupId

    public RowData setGroupId(int groupId)

  - ### setId

    public RowData setId(int id)

  - ### setPeriodModeFrom

    public RowData setPeriodModeFrom(String periodModeFrom)

  - ### setPeriodModeTo

    public RowData setPeriodModeTo(String periodModeTo)

  - ### setPeriodValueFrom

    public RowData setPeriodValueFrom(int periodValueFrom)

  - ### setPeriodValueTo

    public RowData setPeriodValueTo(int periodValueTo)

  - ### setPosition

    public RowData setPosition(String position)

  - ### setTitle

    public RowData setTitle(String title)

  - ### setValue

    public RowData setValue(Boolean check)